#include <bits/stdc++.h>
using namespace std;
long long Konflikt(int N,int M,int *A,int *B)
{
    int Min=INT_MAX;
    for(int i=0;i<N;i++)
    {
        for(int X=0;X<M;X++)
        {
            int s=0;
            for(int j=0;j<N;j++)
            {
                int d=((A[j]+X)%M)-B[(i+j)%N];
                s+=min(abs(d),M-abs(d));
            }
            Min=min(Min,s);
        }
    }
    return Min;
}